Package org.springframework.security.config.annotation.rsocket

# Enum Class PayloadInterceptorOrder

java.lang.Object
java.lang.Enum<PayloadInterceptorOrder>
org.springframework.security.config.annotation.rsocket.PayloadInterceptorOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<PayloadInterceptorOrder>`, `Constable`, `org.springframework.core.Ordered`

public enum PayloadInterceptorOrder extends Enum<PayloadInterceptorOrder> implements org.springframework.core.Ordered
The standard order for `PayloadInterceptor` to be sorted. The actual values might change, so users should use the `getOrder()` method to calculate the position dynamically rather than copy values.

Since:
  5.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANONYMOUS`
Where anonymous authentication is placed.
`AUTHENTICATION`
A generic placeholder for other types of authentication.
`AUTHORIZATION`
Where authorization is placed.
`BASIC_AUTHENTICATION`
Where basic authentication is placed.
`JWT_AUTHENTICATION`
Where JWT based authentication is performed.

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`static PayloadInterceptorOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PayloadInterceptorOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC_AUTHENTICATION

public static final PayloadInterceptorOrder BASIC_AUTHENTICATION
Where basic authentication is placed.

See Also:
  - `RSocketSecurity.basicAuthentication(Customizer)`

### JWT_AUTHENTICATION

public static final PayloadInterceptorOrder JWT_AUTHENTICATION
Where JWT based authentication is performed.

See Also:
  - `RSocketSecurity.jwt(Customizer)`

### AUTHENTICATION

public static final PayloadInterceptorOrder AUTHENTICATION
A generic placeholder for other types of authentication.

See Also:
  - `AuthenticationPayloadInterceptor`

### ANONYMOUS

public static final PayloadInterceptorOrder ANONYMOUS
Where anonymous authentication is placed.

### AUTHORIZATION

public static final PayloadInterceptorOrder AUTHORIZATION
Where authorization is placed.

See Also:
  - `AuthorizationPayloadInterceptor`

## Method Details

### values

public static PayloadInterceptorOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PayloadInterceptorOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`